Bug 146953 - Links are broke and incorrect under the errata tab on the satellite server
Links are broke and incorrect under the errata tab on the satellite server
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
360
All Linux
medium Severity high
: ---
: ---
Assigned To: Clifford Perry
Red Hat Satellite QA List
:
Depends On:
Blocks: 135141
  Show dependency treegraph
 
Reported: 2005-02-02 17:52 EST by Matthew Davis
Modified: 2007-07-31 11:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-24 13:01:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Davis 2005-02-02 17:52:09 EST
Description of problem:

Errata download links are still broke or the pointers are incorrect.

Version-Release number of selected component (if applicable):

Satellite 3.6.2

How reproducible:

Everytime

Steps to Reproduce (Case 1):

1. Click Errata tab
2. Goto errata RHSA-2005:068 ('Less' errata)
3. Click Packages link
4. Click on the link for ia64 rpm
  
Actual results:

Takes you to the i386 download page.

Expected results:

Should take you to the ia64 rpm details page.

Steps to Reproduce (Case 1):
1. Click errata link
2. Ethereal errata (RHSA-2005:049)
3. Click packages

Actual Results:

No download links at all

Expected Results:

Links to each of the rpm's to download.

Additional info:

There are more errata events effected by this, this is just 2 cases.  Some
customers depend on this feature to keep a build tree updated so they kick a
machine once and the machine has all the packages updated.
Comment 5 Clifford Perry 2005-02-24 12:59:59 EST
This has been fixed with the point release of Satellite 3.6 (3.6.6).
Any users with this issue should upgrade to the newest version of
Satellite 3.6 so that it will correctly associate newly imported
Errata with the correct packages within the Web Interface. 

Please contact support if you need previously imported errata that are
broken to be fixed. 

Note You need to log in before you can comment on or make changes to this bug.